localhost-scope-control-test: /localhost scope control scenario

refs #1391
Change-Id: I5c437dd234f929bcb41d78a8b68f93cad171af42
diff --git a/test_localhost_scope/out-B.sh b/test_localhost_scope/out-B.sh
new file mode 100755
index 0000000..df0bf29
--- /dev/null
+++ b/test_localhost_scope/out-B.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+FACEURI=$1
+
+if ! CREATE=$(nfdc create $FACEURI)
+then
+  return 1
+fi
+sleep 1
+
+FACEID=$(echo $CREATE | grep -Po 'FaceId: .*?,' | sed 's/FaceId: //' | sed 's/,//')
+
+if ! output=$(nfdc add-nexthop ndn:/ $FACEID)
+then
+  return 2
+fi
+
+output=$(nfdc add-nexthop ndn:/localhost/test-out $FACEID 2>&1)
+return 0